curl --request POST \
--url https://api.topsort.com/public/v1/toptimize/forecasting/campaign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetRoas": 123,
"budget": {
"amount": 123,
"type": "daily"
},
"bids": {
"productIds": [
"<string>"
],
"inventory": []
},
"timeWindow": 7,
"campaignType": "autobidding"
}
'[
{
"forecastDate": "2025-01-15",
"metrics": [
{
"metricName": "impressions",
"values": {
"forecastValue": 5250,
"forecastIntervalMin": 4900,
"forecastIntervalMax": 5600
}
},
{
"metricName": "clicks",
"values": {
"forecastValue": 1050,
"forecastIntervalMin": 980,
"forecastIntervalMax": 1120
}
},
{
"metricName": "purchases",
"values": {
"forecastValue": 105,
"forecastIntervalMin": 98,
"forecastIntervalMax": 112
}
}
]
},
{
"forecastDate": "2025-01-16",
"metrics": [
{
"metricName": "impressions",
"values": {
"forecastValue": 5400,
"forecastIntervalMin": 5050,
"forecastIntervalMax": 5750
}
},
{
"metricName": "clicks",
"values": {
"forecastValue": 1080,
"forecastIntervalMin": 1010,
"forecastIntervalMax": 1150
}
},
{
"metricName": "purchases",
"values": {
"forecastValue": 108,
"forecastIntervalMin": 101,
"forecastIntervalMax": 115
}
}
]
}
]Get campaign performance forecasts based on the provided parameters.
⚠️ Beta Access Required
Contact your sales representative to gain access to this endpoint and start using it.
It returns a list of daily forecasts for the following metrics:
curl --request POST \
--url https://api.topsort.com/public/v1/toptimize/forecasting/campaign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetRoas": 123,
"budget": {
"amount": 123,
"type": "daily"
},
"bids": {
"productIds": [
"<string>"
],
"inventory": []
},
"timeWindow": 7,
"campaignType": "autobidding"
}
'[
{
"forecastDate": "2025-01-15",
"metrics": [
{
"metricName": "impressions",
"values": {
"forecastValue": 5250,
"forecastIntervalMin": 4900,
"forecastIntervalMax": 5600
}
},
{
"metricName": "clicks",
"values": {
"forecastValue": 1050,
"forecastIntervalMin": 980,
"forecastIntervalMax": 1120
}
},
{
"metricName": "purchases",
"values": {
"forecastValue": 105,
"forecastIntervalMin": 98,
"forecastIntervalMax": 112
}
}
]
},
{
"forecastDate": "2025-01-16",
"metrics": [
{
"metricName": "impressions",
"values": {
"forecastValue": 5400,
"forecastIntervalMin": 5050,
"forecastIntervalMax": 5750
}
},
{
"metricName": "clicks",
"values": {
"forecastValue": 1080,
"forecastIntervalMin": 1010,
"forecastIntervalMax": 1150
}
},
{
"metricName": "purchases",
"values": {
"forecastValue": 108,
"forecastIntervalMin": 101,
"forecastIntervalMax": 115
}
}
]
}
]A valid API key generated in Topsort's UI.
Request model for campaign forecasts with the new structure.
Target Return on Ad Spend for the campaign
Bid targets information
Show child attributes
List of product IDs to target
How many days to forecast into the future
1 <= x <= 14Campaign type (For v1, only autobidding is supported)
autobidding Successful Response
Date of the forecast
List of metric forecasts for this date
Show child attributes
Name of the metric being forecasted
Was this page helpful?